🚧 [Experimental] List bucket objects
Returns object paths from the cloud environment storage bucket, optionally filtered by prefix.
Request
POST
https://api.datalens.tech/rpc/listBucketObjects
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"cloudEnvironmentId": "example",
"prefix": "example",
"pageSize": 0,
"pageToken": "example"
}
|
Name |
Description |
|
cloudEnvironmentId |
Type: string ID of the cloud environment that owns the storage bucket. Min length: Max length: Example: |
|
pageSize |
Type: integer Maximum number of objects to return. The default is 1000. Min value: Max value: |
|
pageToken |
Type: string Token for the next page of objects. Example: |
|
prefix |
Type: string Prefix used to filter object paths. Must not exceed 1024 UTF-8 bytes or contain control characters. Lists all objects when omitted. Example: |
Responses
200 OK
Response
Body
application/json
{
"keys": [
"example"
],
"nextPageToken": "example"
}
|
Name |
Description |
|
keys |
Type: string[] Paths of objects matching the request. Example
|
|
nextPageToken |
Type: string Token for the next page of objects. Example: |